BasicLocationHandler (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.location
Class BasicLocationHandler

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.layer.location.AbstractLocationHandler
                  com.bbn.openmap.layer.location.BasicLocationHandler

All Implemented Interfaces:
  LocationHandler, LightMapHandlerChild, PropertyConsumer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener

    public class BasicLocationHandler

extends AbstractLocationHandler

A basic location handler, that just returns simple testing locations.

Field Summary
`protected javax.swing.Box` | `box`
`protected OMGraphicList` | `graphicList`

Fields inherited from class com.bbn.openmap.layer.location.AbstractLocationHandler
`i18n, logger, RenderAttributesListProperty, zLayer`

Fields inherited from class com.bbn.openmap.OMComponent
`propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport, isolated`

Fields inherited from interface com.bbn.openmap.layer.location.LocationHandler
`defaultLocationColorString, defaultNameColorString, forceGlobalCommand, ForceGlobalProperty, LocationPropertyPrefix, NamePropertyPrefix, readDataCommand, showdetails, showLocationsCommand, ShowLocationsProperty, showname, showNamesCommand, ShowNamesProperty`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`BasicLocationHandler()` The default constructor for the Layer.

Method Summary
`OMGraphicList` | `get(double nwLat, double nwLon, double seLat, double seLon, OMGraphicList graphicList)` Fill a vector of OMGraphics to represent the data from this handler.
`java.awt.Component` | `getGUI()` Provides the palette widgets to control the options of showing maps, or attribute text.
`void` | `reloadData()` A trigger function to tell the handler that new data is available.
`void` | `removed(java.awt.Container cont)` Called by the LocationLayer when the layer is removed from the map.

Methods inherited from class com.bbn.openmap.layer.location.AbstractLocationHandler
`getItemsForPopupMenu, getLayer, getLocationColor, getLocationDrawingAttributes, getNameColor, getNameDrawingAttributes, getPrettyName, getProperties, getPropertyInfo, getPropertyPrefix, isForceGlobal, isShowLocations, isShowNames, setForceGlobal, setLayer, setLocationColor, setLocationDrawingAttributes, setNameColor, setNameDrawingAttributes, setPrettyName, setProperties, setProperties, setPropertyPrefix, setShowLocations, setShowNames`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, isIsolated, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext, setIsolated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graphicList

    protected final OMGraphicList graphicList

### box

    protected javax.swing.Box box

Constructor Detail

### BasicLocationHandler

    public BasicLocationHandler()

  The default constructor for the Layer. All of the attributes are set to their default values.

Method Detail

### reloadData

    public void reloadData()

  Description copied from interface: `LocationHandler`
  A trigger function to tell the handler that new data is available.

### removed

    public void removed(java.awt.Container cont)

  Called by the LocationLayer when the layer is removed from the map. The LocationHandler should release expensive resources if this is called.

  Specified by:
    `removed` in interface `LocationHandler`
  Overrides:
    `removed` in class `AbstractLocationHandler`
  Parameters:
    `cont` - Container being removed from.

### get

    public OMGraphicList get(double nwLat,
                             double nwLon,
                             double seLat,
                             double seLon,
                             OMGraphicList graphicList)

  Description copied from interface: `LocationHandler`
  Fill a vector of OMGraphics to represent the data from this handler.

  Parameters:
    `nwLat` - NorthWest latitude of area of interest.
    `nwLon` - NorthWest longitude of area of interest.
    `seLat` - SouthEast latitude of area of interest.
    `seLon` - SouthEast longitude of area of interest.
    `graphicList` - Vector to add Locations to. If null, the LocationHandler should create a new Vector to place graphics into.
  Returns:
    Either the OMGraphicList passed in, or the new one that was created if null.

### getGUI

    public java.awt.Component getGUI()

  Provides the palette widgets to control the options of showing maps, or attribute text.

  Returns:
    Component object representing the palette widgets.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details